#
# spec file for package mstflint
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define extra_version -1

Name:           mstflint
Version:        4.6.0
Release:        0
Summary:        Mellanox Firmware Burning and Diagnostics Tools
License:        GPL-2.0 or BSD-2-Clause
Group:          System/Console
Url:            http://www.openfabrics.org
Obsoletes:      mstflint-devel < %{version}

Source:         https://github.com/Mellanox/mstflint/releases/download/v%{version}%{?extra_version}/%{name}-%{version}.tar.gz
# PATCH-FIX-UPSTREAM Build libmtcr as shared library
Source1:        mstfint-mtcr_ul_no_static_lib.patch
# PATCH-FIX-UPSTREAM Add all needed defines to get it built on s390x
Patch1:         mstflint-s390_arch.patch
# PATCH-FIX-UPSTREAM implicit declaration of mset_cr_access
Patch2:         mstflint-4.4.0-implicit-declaration.patch
# PATCH-FIX-UPSTREAM no __DATE__ and __TIME__ in codes
Patch3:         mstflint-4.4.0-no-date-time.patch
# PATCH-FIX-UPSTREAM Add all needed defines to get it built on armv7
Patch4:         mstflint-armv7_arch.patch

BuildRequires:  gcc-c++
BuildRequires:  libibmad-devel
BuildRequires:  libtool
BuildRequires:  zlib-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
#%%define DT_FLAGS %%{?__commit_date:-D__DATE__=%%__commit_date}' '%%{?__commit_time:-D__TIME__=%%__commit_time}'

%description
This package contains a burning tool and diagnostic tools for Mellanox
manufactured HCA/NIC cards. It also provides access to the relevant
source code. Please see the file LICENSE for licensing details.

This package is based on a subset of the Mellanox Firmware Tools (MFT)
package. For a full documentation of the MFT package, please refer to
the downloads page at the Mellanox web site.

%prep
%setup -q
%patch1
%patch2
%patch3
%patch4

%build
./autogen.sh
%configure
make %{?_smp_mflags} CFLAGS="%{optflags} -I. -fno-exceptions"

%install
make %{?_smp_mflags} DESTDIR=%{buildroot} install
rm -rf %{buildroot}%{_includedir}/mstflint
rm -rf  %{buildroot}%{_libdir}/mstflint/
rm -rf %{buildroot}%{_bindir}/hca_self_test.ofed

%files
%defattr(-, root, root)
%doc README COPYING LICENSE
%{_bindir}/mstconfig
%{_bindir}/mstflint
%{_bindir}/mstmcra
%{_bindir}/mstmread
%{_bindir}/mstmtserver
%{_bindir}/mstmwrite
%{_bindir}/mstregdump
%{_bindir}/mstvpd
%{_mandir}/man1/*.1%{ext_man}
%{_datadir}/mstflint/

%changelog
